From: IN%"[email-masked]" "Dave Mulvihill - Technical Support x-6993" 18-JAN-1990 17:01:04.71
To: [email-masked], [email-masked]

Date: Thu, 18 Jan 90 19:12 EST
From: Dave Mulvihill - Technical Support x-6993 <[email-masked]>
Subject: Re: MAKE for VMS avail. from Joe Meadow's file server
To: [email-masked], [email-masked]

Liam,
 
This program was developed by an RIT student who has graduated, but, if
we see him again we'll be sure to pass on the praise.  We use it a great deal
here too.
 
We hadn't run into this problem, since we haven't recompiled since VMS V4.7.
But, a local user who has shipped this to a V5.2 site has dealt with it and the
problem seems to be the VAXC inline optimization.  If you compile all the code
with the qualifier /OPT=NOINLINE it works fine here under VMS V5.3 with VAXC
V3.0.  We have SPR'd with no response.
 
Joe, could you note this problem in a README on your fileserver.
 
Thanks,
 
Dave Mulvihill      (Postmaster)        Local Email:    DPMSYS
Systems Programmer                      Allin1: MULVIHILL DP
Information Systems & Computing         Email:  [email-masked]
VAX/VMS, ULTRIX Technical Support               [email-masked]
Rochester Institute of Technology, Rochester NY, 14623 (716) 475-6993
 
> Hi,
>
> I have been using your public domain VMS MAKE for some time now,
> ( and a tremendously useful program it is, too! ). However, I have recently
> run into a problem with it under V5.2, VAXC V3.0.
>
> I rebuild the .EXE file from the sources under V5.2, VAXC3.0 without problem
> (except that some system symbols in $ATRDEF were in uppercase and MKUTIL
> expected them in lowercase - I edited MKUTIL) but invoking MAKE now gives
> an access violation error, followed by one of those "incorrectly handled
> condition, image exit forced" + stack dump things.
>
> I copied the .EXE from my previous system (VMS 4.7, VAXC 2.0) and it appears
> to run correctly, so it's not an urgent problem for me. However, I was
> wondering if this is a known problem, or if there's a more up-to-date version
> of MAKE (I have V1.1 April 1987) in which this is fixed?
>
> I got this copy of MAKE from Joe Meadows listserver
>
> Regards,
>
>         Liam
>
> *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*
> *  Liam Friel                            SPAN:  meudon::friel,megasu::friel *
> *  Dept. de Recherche Spatiale       Internet:  friel%megasu.span@          *
> *  Observatoire de Paris                                 star.stanford.edu  *
> *  Meudon                            Tel:    (+33) 1 45 07 75 30  xtn 7069  *
> *                                                                           *
> *  Q. What are MIPS ?         A. Meaningless Indicators of Processor Speed  *
> *+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*